"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Cookie = void 0;
var Cookie = /** @class */ (function () {
    function Cookie() {
    }
    Object.defineProperty(Cookie, "Instance", {
        get: function () {
            if (!Cookie.__instance) {
                Cookie.__instance = new Cookie();
            }
            return Cookie.__instance;
        },
        enumerable: false,
        configurable: true
    });
    Cookie.prototype.read = function (name) {
        var result = new RegExp('(?:^|; )' + encodeURIComponent(name) + '=([^;]*)').exec(document.cookie);
        return result ? result[1] : null;
    };
    Cookie.prototype.write = function (name, value, days) {
        if (!days) {
            days = 365 * 20;
        }
        var date = new Date();
        date.setTime(date.getTime() + (days * 24 * 60 * 60 * 1000));
        var expires = "; expires=" + date.toUTCString();
        document.cookie = name + "=" + value + expires + "; path=/";
    };
    Cookie.prototype.remove = function (name) {
        this.write(name, "", -1);
    };
    return Cookie;
}());
exports.Cookie = Cookie;
//# sourceMappingURL=cookie.js.map