"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Helpers = void 0;
var tslib_1 = require("tslib");
var tnp_core_1 = require("tnp-core");
var mapping_1 = require("./mapping");
var json10_1 = require("json10");
// @ts-ignore
var Helpers = exports.Helpers = /** @class */ (function (_super) {
    tslib_1.__extends(Helpers, _super);
    function Helpers() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Object.defineProperty(Helpers, "Mapping", {
        get: function () {
            return {
                encode: function (json, mapping) {
                    return mapping_1.Mapping.encode(json, mapping);
                },
                decode: function (json, autodetect) {
                    if (autodetect === void 0) { autodetect = false; }
                    return mapping_1.Mapping.decode(json, autodetect);
                }
            };
        },
        enumerable: false,
        configurable: true
    });
    Helpers.checkValidUrl = function (url) {
        var regex = /(http|https):\/\/(\w+:{0,1}\w*)?(\S+)(:[0-9]+)?(\/|\/([\w#!:.?+=&%!\-\/]))?/;
        return regex.test(url);
    };
    Helpers.JSON = json10_1.JSON10;
    return Helpers;
}(tnp_core_1.CoreHelpers));
//# sourceMappingURL=helpers.js.map