// @ts-nocheck
import { CoreHelpers } from 'tnp-core/browser';
import { Mapping } from './mapping';
import { JSON10 } from 'json10/browser';
export declare class Helpers extends CoreHelpers {
    static JSON: typeof JSON10;
    static get Mapping(): {
        encode<T = Function>(json: Object, mapping: Mapping.Mapping): T;
        decode(json: Object, autodetect?: boolean): Mapping.Mapping;
    };
    static checkValidUrl(url: string): boolean;
}