import { Circ } from 'json10/src';
export declare namespace Mapping {
    function decode(json: Object, autodetect?: boolean): Mapping;
    function encode<T = Function>(json: Object, mapping: Mapping, circular?: Circ[]): T;
    function getModelsMapping(entity: Function): {};
    type Mapping<T = {}> = {
        [P in keyof T]?: string | string[];
    };
    type ModelValue<T> = {
        [propName in keyof T]?: T[propName];
    };
    function DefaultModelWithMapping<T = Object>(defaultModelValues?: ModelValue<T>, mapping?: Mapping<T>): (target: Function) => void;
}